xmltooling::XSECCryptoX509CRL Class Referenceabstract

Interface class for X.509 CRLs The library uses classes derived from this to process X.509 CRLs. More...

`#include <xmltooling/security/XSECCryptoX509CRL.h>`

Inheritance diagram for xmltooling::XSECCryptoX509CRL:
[legend]

## Public Member Functions

virtual const XMLCh * | getProviderName () const =0
| Returns a string that identifies the crypto owner of this library.
virtual XSECCryptoX509CRL * | clone () const =0
| Returns a duplicate of the original object.
virtual void | loadX509CRLBase64Bin (const char *buf, unsigned int len)=0
| Load a Base64-encoded CRL into the object.
void | loadX509CRLPEM (const char *buf, unsigned int len=0)
| Load a PEM encoded CRL into the object.
virtual safeBuffer & | getDEREncodingSB (void)=0
| Get a Base64 DER encoded copy of the CRL.

## Detailed Description

Interface class for X.509 CRLs The library uses classes derived from this to process X.509 CRLs.

## Member Function Documentation

## clone()

virtual XSECCryptoX509CRL * xmltooling::XSECCryptoX509CRL::clone | ( |  | ) | const

pure virtual

Returns a duplicate of the original object.

Returns
  the duplicate

Implemented in xmltooling::OpenSSLCryptoX509CRL.

## getDEREncodingSB()

virtual safeBuffer & xmltooling::XSECCryptoX509CRL::getDEREncodingSB | ( | void |  | ) |

pure virtual

Get a Base64 DER encoded copy of the CRL.

Returns
  A safeBuffer containing the DER encoded certificate

Implemented in xmltooling::OpenSSLCryptoX509CRL.

## getProviderName()

virtual const XMLCh * xmltooling::XSECCryptoX509CRL::getProviderName | ( |  | ) | const

pure virtual

Returns a string that identifies the crypto owner of this library.

Returns
  the crypto provider name

Implemented in xmltooling::OpenSSLCryptoX509CRL.

## loadX509CRLBase64Bin()

virtual void xmltooling::XSECCryptoX509CRL::loadX509CRLBase64Bin | ( | const char * | buf,
|  | unsigned int | len )

pure virtual

Load a Base64-encoded CRL into the object.

Parameters

  buf | buffer containing the base64-encoded CRL
  len | number of bytes of data in the CRL buffer (0 if the string is null terminated)

Implemented in xmltooling::OpenSSLCryptoX509CRL.

## loadX509CRLPEM()

void xmltooling::XSECCryptoX509CRL::loadX509CRLPEM | ( | const char * | buf,
|  | unsigned int | len = 0 )

Load a PEM encoded CRL into the object.

Parameters

  buf | buffer containing the PEM encoded CRL
  len | number of bytes of data in the CRL buffer (0 if the string is null terminated)

The documentation for this class was generated from the following file:

- xmltooling/security/XSECCryptoX509CRL.h